ConnectionResource
RESTful endpoint for managing a Connection.
The following resources are applicable:
- /controller/process-groups/{process-group-id}/connections
- /controller/process-groups/{process-group-id}/connections/{id}
- /controller/process-groups/{process-group-id}/connections/{id}/status/history
/controller/process-groups/{process-group-id}/connections
Mount Point: /rest/controller/process-groups/{process-group-id}/connections
The following operations are supported on this resource:
GET
Gets all the connections.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | connectionsEntity |
| media types: | application/xml application/json |
A connectionsEntity.
POST
Creates a connection.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| name | The name of the connection. | form | |
| sourceId | The id of the source connectable. | form | |
| sourceGroupId | The parent group id for the source. | form | |
| sourceType | The type of the source connectable. | form | |
| relationships[] | Array of relationships. | form | |
| bends[] | Array of bend points in string form ["x,y", "x,y", "x,y"] | form | |
| flowFileExpiration | The flow file expiration in minutes | form | |
| backPressureObjectThreshold | The object count for when to apply back pressure. | form | |
| backPressureDataSizeThreshold | The object size for when to apply back pressure. | form | |
| prioritizers[] | Array of prioritizer types. These types should refer to one of the types in the GET /controller/prioritizers response. If this parameter is not specified no change will be made. If this parameter appears with no value (empty string), it will be treated as an empty array. | form | |
| destinationId | The id of the destination connectable. | form | |
| destinationGroupId | The parent group id for the destination. | form | |
| destinationType | The type of the destination connectable. | form | |
| process-group-id | (no documentation provided) | path |
Request Body
| element: | formParams |
| media types: | application/x-www-form-urlencoded |
(no documentation provided)
Response Body
| element: | connectionEntity |
| media types: | application/xml application/json |
A connectionEntity.
POST
Creates a new connection.
Parameters
| name | description | type | default |
|---|---|---|---|
| process-group-id | (no documentation provided) | path |
Request Body
| element: | connectionEntity |
| media types: | application/xml application/json |
A connectionEntity.
Response Body
| element: | connectionEntity |
| media types: | application/xml application/json |
A connectionEntity.
/controller/process-groups/{process-group-id}/connections/{id}
Mount Point: /rest/controller/process-groups/{process-group-id}/connections/{id}
The following operations are supported on this resource:
GET
Retrieves the specified connection.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the connection. | path | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | connectionEntity |
| media types: | application/xml application/json |
A connectionEntity.
PUT
Updates the specified relationship target.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| id | The id of the source processor. | path | |
| name | The name of the connection. | form | |
| relationships[] | Array of relationships. | form | |
| bends[] | Array of bend points in string form ["x,y", "x,y", "x,y"] | form | |
| labelIndex | The control point index for the connection label | form | |
| zIndex | The zIndex for this connection | form | |
| flowFileExpiration | The flow file expiration in minutes | form | |
| backPressureObjectThreshold | The object count for when to apply back pressure. | form | |
| backPressureDataSizeThreshold | The object size for when to apply back pressure. | form | |
| prioritizers[] | Array of prioritizer types. These types should refer to one of the types in the GET /controller/prioritizers response. If this parameter is not specified no change will be made. If this parameter appears with no value (empty string), it will be treated as an empty array. | form | |
| destinationId | The id of the destination connectable. | form | |
| destinationGroupId | The group id of the destination. | form | |
| destinationType | The type of the destination type. | form | |
| process-group-id | (no documentation provided) | path |
Request Body
| element: | formParams |
| media types: | application/x-www-form-urlencoded |
(no documentation provided)
Response Body
| element: | connectionEntity |
| media types: | application/xml application/json |
A connectionEntity.
PUT
Updates the specified connection.
Parameters
| name | description | type | default |
|---|---|---|---|
| id | The id of the connection. | path | |
| process-group-id | (no documentation provided) | path |
Request Body
| element: | connectionEntity |
| media types: | application/xml application/json |
A connectionEntity.
Response Body
| element: | connectionEntity |
| media types: | application/xml application/json |
A connectionEntity.
DELETE
Removes the specified connection.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | query | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the connection. | path | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | connectionEntity |
| media types: | application/xml application/json |
An Entity containing the client id and an updated revision.
/controller/process-groups/{process-group-id}/connections/{id}/status/history
Mount Point: /rest/controller/process-groups/{process-group-id}/connections/{id}/status/history
GET
Retrieves the specified connection status history.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the connection to retrieve. | path | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | statusHistoryEntity |
| media types: | application/xml application/json |
A statusHistoryEntity.